/**
 * @license
 * Copyright ASW (A Software World) All Rights Reserved.
 *
 * Use of this source code is governed by an MIT-style license that can be
 * found in the LICENSE file
 */
import { OnInit } from '@angular/core';
import { FormBuilder, FormGroup } from '@angular/forms';
import { MatDialogRef } from '@angular/material/dialog';
import { TextboxControl } from './textbox-control';
import * as i0 from "@angular/core";
export declare class AswTextboxDialog implements OnInit {
    private formBuilder;
    dialogRef: MatDialogRef<AswTextboxDialog>;
    control: TextboxControl;
    constants: any;
    aswEditTextboxForm: FormGroup;
    status: boolean;
    constructor(formBuilder: FormBuilder, dialogRef: MatDialogRef<AswTextboxDialog>, control: TextboxControl);
    ngOnInit(): void;
    validateFormBuilder(): void;
    editProperty(control: TextboxControl): void;
    onNoClick(): void;
    onSubmit(): void;
    onChange(event: any): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AswTextboxDialog, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AswTextboxDialog, "asw-textbox-dialog", never, {}, {}, never, never>;
}
